# Refresh Token

**Step 1: Prepare Your Request**

* **Endpoint:** `/auth/refresh-token`
* **Method:** `POST`
* **URL:** `https://api.talkstackai.com/auth/refresh-token`
* **Headers:** Include `Content-Type: application/json`.

**Step 2:** **Create the Request Body**

* `refreshToken`: refresh token sent after login.

**Example Request Body:**

```json
{
    "refreshToken": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
}
```

**Step 3: Send the Request**

Use your preferred HTTP client to send the POST request with the JSON body.

**Step 4: Handle the response**

**Success Response:**

**Status Code:** `200 OK`

* token: The token to be used for authorization. The token is only valid for 2 hours.
* refreshToken: Token to be used to get new token and continue session.
* expirationTime: Time after which the token will expire.

```
{
    "token": "example@host.com",
    "resfreshToken": "XXXXXXXXXX",
    "expirationTime": "2025-01-13T10:24:48.229Z"
}
```

**Troubleshooting**

* `400 Bad Request`: If the `resfreshToken` is missing in the request.
* `401 Not Found`: If the `resfreshToken` is invalid or expired.
* `404 Not Found`: If the user is not found.
* `500 Internal Server Error`: For errors in getting new token.

Last updated 18 hours ago


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/authentication/refresh-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
